package com.kingdee.eas.custom.dormitorysystem.occupants;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.TreeBase;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.ITreeBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.dormitorysystem.occupants.app.*;

public class OccupantsTree extends TreeBase implements IOccupantsTree
{
    public OccupantsTree()
    {
        super();
        registerInterface(IOccupantsTree.class, this);
    }
    public OccupantsTree(Context ctx)
    {
        super(ctx);
        registerInterface(IOccupantsTree.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("DB98FA7D");
    }
    private OccupantsTreeController getController() throws BOSException
    {
        return (OccupantsTreeController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public OccupantsTreeInfo getOccupantsTreeInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getOccupantsTreeInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public OccupantsTreeInfo getOccupantsTreeInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getOccupantsTreeInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public OccupantsTreeInfo getOccupantsTreeInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getOccupantsTreeInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public OccupantsTreeCollection getOccupantsTreeCollection() throws BOSException
    {
        try {
            return getController().getOccupantsTreeCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public OccupantsTreeCollection getOccupantsTreeCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getOccupantsTreeCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public OccupantsTreeCollection getOccupantsTreeCollection(String oql) throws BOSException
    {
        try {
            return getController().getOccupantsTreeCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}